/*
 * Copyright (c) 2005-2014, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.wso2.andes.server.state;

import org.wso2.andes.AMQException;

/**
 * @todo Not an AMQP exception as no status code.
 *
 * @todo Not used! Delete.
 */
public class IllegalStateTransitionException extends AMQException
{
    private AMQState _originalState;

    private Class _frame;

    public IllegalStateTransitionException(AMQState originalState, Class frame)
    {
        super("No valid state transition defined for receiving frame " + frame + " from state " + originalState);
        _originalState = originalState;
        _frame = frame;
    }

    public AMQState getOriginalState()
    {
        return _originalState;
    }

    public Class getFrameClass()
    {
        return _frame;
    }
}
